View a markdown version of this page

GetRecommendation - Amazon Bedrock AgentCore Data Plane

GetRecommendation

Retrieves detailed information about a recommendation, including its configuration, status, and results.

Request Syntax

GET /recommendations/recommendationId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

recommendationId

The unique identifier of the recommendation to retrieve.

Pattern: [0-9a-zA-Z_-]{1,48}-[0-9A-Z]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": "string", "description": "string", "name": "string", "recommendationArn": "string", "recommendationConfig": { ... }, "recommendationId": "string", "recommendationResult": { ... }, "status": "string", "type": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the recommendation was created.

Type: Timestamp

description

The description of the recommendation.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 4096.

name

The name of the recommendation.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 100.

Pattern: [a-zA-Z][a-zA-Z0-9_-]{0,47}

recommendationArn

The Amazon Resource Name (ARN) of the recommendation.

Type: String

Pattern: arn:aws[a-zA-Z-]*:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:recommendation/[0-9a-zA-Z_-]{1,48}-[0-9A-Z]{10}

recommendationConfig

The configuration for the recommendation.

Type: RecommendationConfig object

Note: This object is a Union. Only one member of this object can be specified or returned.

recommendationId

The unique identifier of the recommendation.

Type: String

Pattern: [0-9a-zA-Z_-]{1,48}-[0-9A-Z]{10}

recommendationResult

The result of the recommendation, containing the optimized system prompt or tool descriptions. Only present when the recommendation status is COMPLETED.

Type: RecommendationResult object

Note: This object is a Union. Only one member of this object can be specified or returned.

status

The current status of the recommendation.

Type: String

Valid Values: PENDING | IN_PROGRESS | COMPLETED | FAILED | DELETING

type

The type of recommendation.

Type: String

Valid Values: SYSTEM_PROMPT_RECOMMENDATION | TOOL_DESCRIPTION_RECOMMENDATION

updatedAt

The timestamp when the recommendation was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.

HTTP Status Code: 403

InternalServerException

The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.

HTTP Status Code: 500

ResourceNotFoundException

The exception that occurs when the specified resource does not exist. This can happen when using an invalid identifier or when trying to access a resource that has been deleted.

HTTP Status Code: 404

ThrottlingException

The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.

HTTP Status Code: 429

ValidationException

The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: